Antom, leading provider of tailored payment solutions

inquireRate

POST /v1/aba/funds/inquireRate

Use this interface to to query real-time foreign exchange rates for reference purposes.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

rateConditionList Array<InquiryRateCondition>  REQUIRED

A collection of JSON objects representing currency exchange pairs.

Show child parameters

Response parameters

result Object  REQUIRED

Show child parameters

rateResultList RateResultList  REQUIRED

A list of the foreign exchange rates that Antom returns to the merchant.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

API is successfully called, not resembling order status.

PARAM_ILLEGALFIllegal parameters exist.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

CONTRACT_CHECK_FAILFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

QUOTE_EXPIREDFThe quote is expired.

Call the createQuote API to create a new quote. Retry creating a new settlement request with the new quote.